javax.faces.flow

## Class MethodCallNode

- java.lang.Object
- - javax.faces.flow.FlowNode
  - - javax.faces.flow.MethodCallNode

-     public abstract class MethodCallNode
      extends FlowNode

  Represents a method call node in the flow graph. When control passes to a method call node, its `MethodExpression` is invoked, passing any parameters. Let outcome be the value determined by the following algorithm. If there is a `null` return from the invocation, `getOutcome()` is called. If the result is non-`null`, its `getValue()` method is called and the value is considered to be outcome. If there is a non-`null` return, let it be outcome. Convert outcome to a String by calling its `toString` method. Use outcome to determine the next node in the flow graph.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodCallNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract MethodExpression` | `getMethodExpression()` Return the `MethodExpression` to be invoked to when control passes to this node.
    `abstract ValueExpression` | `getOutcome()` Return the `outcome` to be used in the event of a `null` return from the method.
    `abstract List<Parameter>` | `getParameters()` Return the parameters to be passed to the method.

    - ### Methods inherited from class javax.faces.flow.FlowNode

      `getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodCallNode

          public MethodCallNode()

  - ### Method Detail

    - #### getMethodExpression

          public abstract MethodExpression getMethodExpression()

      Return the `MethodExpression` to be invoked to when control passes to this node.

      Since:
        2.2

    - #### getOutcome

          public abstract ValueExpression getOutcome()

      Return the `outcome` to be used in the event of a `null` return from the method.

      Since:
        2.2

    - #### getParameters

          public abstract List<Parameter> getParameters()

      Return the parameters to be passed to the method.

      Since:
        2.2

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.